/* This code is part of Freenet. It is distributed under the GNU General
 * Public License, version 2 (or at your option any later version). See
 * http://www.gnu.org/ for further details of the GPL. */
package freenet.node;

/**
 * Thrown when a packet hasn't been acked despite 10 minutes of asking for
 * an ack. This results in the connection being closed and the packet
 * which was being sent being killed. We have to throw to avoid locking
 * issues.
 * @author Matthew Toseland <toad@amphibian.dyndns.org> (0xE43DA450)
 */
public class StillNotAckedException extends Exception {

	public StillNotAckedException(KeyTracker tracker) {
		this.tracker = tracker;
	}
	
	final KeyTracker tracker;
	
}
